Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.squawk.vm
Interface SC

    public interface SC

This class contains the offsets that define that define the layout of the array (of type "[-local-") that implements a stack for a thread.

Field Summary
`static int` | `guard` This is a word that is always unused.
`static int` | `lastBCI` The bytecode index of the next instruction to be executed in the inner most activation frame's method.
`static int` | `lastFP` The pointer to the inner most activation frame in the stack.
`static int` | `limit` The offset of the stack limit (i.e.
`static int` | `next` The index of the pointer to the next stack chunk in a list of stack chunks.
`static int` | `owner` The index of the pointer to the VMThread instance that owns this chunk.

Field Detail

### next

    static final int next

  The index of the pointer to the next stack chunk in a list of stack chunks. This is only used by a generational collector.

  See Also:
    Constant Field Values

### owner

    static final int owner

  The index of the pointer to the VMThread instance that owns this chunk.

  See Also:
    Constant Field Values

### lastFP

    static final int lastFP

  The pointer to the inner most activation frame in the stack.

  See Also:
    Constant Field Values

### lastBCI

    static final int lastBCI

  The bytecode index of the next instruction to be executed in the inner most activation frame's method.

  See Also:
    Constant Field Values

### guard

    static final int guard

  This is a word that is always unused. If this word is ever non-zero then an overflow of the stack has occurred.

  See Also:
    Constant Field Values

### limit

    static final int limit

  The offset of the stack limit (i.e. the last slot that can be used without overwriting one of the header slots defined above). : : | parmN | 8 +------------------+ + | returnIP | 7 | +------------------+ | | returnFP | 6 } FIXED_FRAME_SIZE +------------------+ | sl -->| MP | 5 | +==================+ + | guard | 4 +------------------+ | lastBCI | 3 +------------------+ | lastFP | 2 +------------------+ | owner | 1 +------------------+ | next | 0 +------------------+

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"